services:
  cursorweb2api:
    image: ghcr.io/jhhgiyv/cursorweb2api:latest
    container_name: cursorweb2api
    ports:
      - "8080:8000"
    environment:
      - API_KEY=СЮДА_ВСТАВЛЯЕМ_НАШ_КЛЮЧ
      - FP=СЮДА_ВСТАВЛЯЕМ_НАШ_ОТПЕЧАТОК
      - SCRIPT_URL=https://cursor.com/149e9513-01fa-4fb0-aad4-566afd725d1b/2d206a39-8ed7-437e-a3be-862e0f06eea3/a-4-a/c.js?i=0&v=3&h=cursor.com
      - MODELS=gpt-5,gpt-5-codex,gpt-5-mini,gpt-5-nano,gpt-4.1,gpt-4o,claude-3.5-sonnet,claude-3.5-haiku,claude-3.7-sonnet,claude-4-sonnet,claude-4-opus,claude-4.1-opus,gemini-2.5-pro,gemini-2.5-flash,o3,o4-mini,deepseek-r1,deepseek-v3.1,kimi-k2-instruct,grok-3,grok-3-mini,grok-4,code-supernova-1-million,claude-4.5-sonnet
      - ENABLE_FUNCTION_CALLING=false
      - TRUNCATION_CONTINUE=false
      - USER_PROMPT_INJECT=
    restart: unless-stopped